uk.gov.hmrc.gg.ga

# PlatformAnalyticsConnector

###
Related Doc: package ga

#### trait PlatformAnalyticsConnector extends AnalyticsJsonFormats with GoogleAnalyticsConfig

Linear Supertypes
GoogleAnalyticsConfig, ServicesConfig, RunMode, AnalyticsJsonFormats, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlatformAnalyticsConnector
2. GoogleAnalyticsConfig
3. ServicesConfig
4. RunMode
5. AnalyticsJsonFormats
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def http: HttpPost

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### implicit val analyticsWrites: OWrites[AnalyticsRequest]

   Definition Classes
     AnalyticsJsonFormats

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def baseUrl(serviceName: String): String

   Definition Classes
     ServicesConfig

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def config(serviceName: String): Configuration

   Attributes
     protected
   Definition Classes
     ServicesConfig

9. #### lazy val defaultProtocol: String

   Attributes
     protected
   Definition Classes
     ServicesConfig

10. #### implicit val dimensionWrites: OWrites[DimensionValue]

    Definition Classes
      AnalyticsJsonFormats

11. #### lazy val env: String

    Definition Classes
      RunMode

12. #### def envPath(path: String)(other: ⇒ String, prod: ⇒ String): String

    Definition Classes
      RunMode

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### implicit val eventWrites: OWrites[Event]

    Definition Classes
      AnalyticsJsonFormats

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def getBoolean(key: String): Boolean

    Definition Classes
      ServicesConfig

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def getConfBool(confKey: String, defBool: ⇒ Boolean): Boolean

    Definition Classes
      ServicesConfig

20. #### def getConfDuration(confKey: String, defDur: ⇒ Duration): Duration

    Definition Classes
      ServicesConfig

21. #### def getConfInt(confKey: String, defInt: ⇒ Int): Int

    Definition Classes
      ServicesConfig

22. #### def getConfString(confKey: String, defString: ⇒ String): String

    Definition Classes
      ServicesConfig

23. #### def getDuration(key: String): Duration

    Definition Classes
      ServicesConfig

24. #### def getInt(key: String): Int

    Definition Classes
      ServicesConfig

25. #### def getString(key: String): String

    Definition Classes
      ServicesConfig

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### def mode: Mode

    Attributes
      protected
    Definition Classes
      RunMode

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### lazy val originDimensionIndex: Int

    Definition Classes
      GoogleAnalyticsConfig

33. #### lazy val playServices: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

34. #### lazy val rootServices: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

35. #### def runModeConfiguration: Configuration

    Attributes
      protected
    Definition Classes
      RunMode

36. #### def sendEvent(request: AnalyticsRequest)(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[Unit]

37. #### lazy val serviceUrl: String

    Definition Classes
      GoogleAnalyticsConfig

38. #### lazy val services: String

    Attributes
      protected
    Definition Classes
      ServicesConfig

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from GoogleAnalyticsConfig

### Inherited from ServicesConfig

### Inherited from RunMode

### Inherited from AnalyticsJsonFormats

### Inherited from AnyRef

### Inherited from Any

### Ungrouped